<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Entrysound Uploader</title>
    <style>
      body {
        font-family: sans-serif;
      }

      h1 {
        text-align: center;
      }

      #file-selector {
        width: 100vw;
        margin: 1rem;
      }

      #file-submitter {
        width: 100vw;
        margin: 1rem;
        background: rgb(56, 56, 214);
        font: inherit;
        color: white;
        border: none;
        border-radius: 5px;
        height: 2rem;
        cursor: pointer;
        font-weight: bold;
      }

      .form-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        height: 80vh;
      }

      @media (min-width: 40rem) {
        #file-selector {
          width: 40vw;
          text-align: center;
        }

        #file-submitter {
          width: 40vw;
        }
      }
    </style>
  </head>
  <body>
    <div class="form-container">
      <h1>Upload a sound file!</h1>
      <input id="file-selector" type="file" accept=".mp3" />
      <button id="file-submitter" type="submit">Upload</button>
    </div>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script>
      document.querySelector('#file-submitter').addEventListener('click', () => {
        const match = window.location.hash.match(/token_type=(.+?)&access_token=(.+?)(?:&|$)/);
        if (match) {
          const [, , accessToken] = match;
          const url = `${window.location.protocol}\/\/${window.location.host}/mp3`;
          console.log(url);
          var formData = new FormData();
          var imagefile = document.querySelector('#file-selector');
          formData.append('image', imagefile.files[0]);
          axios.post('/mp3', formData, {
            headers: {
              'Content-Type': 'multipart/form-data',
              authorization: accessToken
            }
          });
        }
      });
    </script>
  </body>
</html>
